{
  # Arkenfox user.js - LOCATION BAR / SEARCH BAR / SUGGESTIONS / HISTORY / FORMS
  # Version: 140 (14 August 2025)

  # 0801: disable location bar making speculative connections
  "browser.urlbar.speculativeConnect.enabled" = false;

  # 0802: disable location bar contextual suggestions
  "browser.urlbar.quicksuggest.enabled" = false;
  "browser.urlbar.suggest.quicksuggest.nonsponsored" = false;
  "browser.urlbar.suggest.quicksuggest.sponsored" = false;

  # 0803: disable live search suggestions
  "browser.search.suggest.enabled" = false;
  "browser.urlbar.suggest.searches" = false;

  # 0805: disable urlbar trending search suggestions
  "browser.urlbar.trending.featureGate" = false;

  # 0806: disable urlbar suggestions
  "browser.urlbar.addons.featureGate" = false;
  "browser.urlbar.amp.featureGate" = false;
  "browser.urlbar.fakespot.featureGate" = false;
  "browser.urlbar.mdn.featureGate" = false;
  "browser.urlbar.weather.featureGate" = false;
  "browser.urlbar.wikipedia.featureGate" = false;
  "browser.urlbar.yelp.featureGate" = false;

  # 0810: disable search and form history
  "browser.formfill.enable" = false;

  # 0830: enable separate default search engine in Private Windows
  "browser.search.separatePrivateDefault" = true;
  "browser.search.separatePrivateDefault.ui.enabled" = true;

  # Additional form autofill settings
  "browser.urlbar.maxRichResults" = 16;
  "extensions.formautofill.addresses.enabled" = false;
  "extensions.formautofill.addresses.supported" = "on";
  "extensions.formautofill.addresses.usage.hasEntry" = true;
  "extensions.formautofill.creditCards.enabled" = false;
  "extensions.formautofill.heuristics.enabled" = false;
}
